Bug 1802710 - cluster-autoscaler metrics collection breaks after upgrade to 4.3
Summary: cluster-autoscaler metrics collection breaks after upgrade to 4.3
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Cluster Version Operator
Version: 4.2.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.3.z
Assignee: Vadim Rutkovsky
QA Contact: Jianwei Hou
URL:
Whiteboard:
Depends On: 1801300
Blocks: 1802248 1803258
TreeView+ depends on / blocked
 
Reported: 2020-02-13 18:23 UTC by Vadim Rutkovsky
Modified: 2020-02-25 06:18 UTC (History)
22 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1801300
: 1803258 (view as bug list)
Environment:
Last Closed: 2020-02-25 06:18:20 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-version-operator pull 323 0 None closed Bug 1802710: lib/resourcemerge: remove ports which are no longer required 2020-03-20 21:37:17 UTC
Github openshift cluster-version-operator pull 324 0 None closed Bug 1802710: lib/resourcemerge: remove ports which are no longer required 2020-03-20 21:37:17 UTC
Red Hat Product Errata RHBA-2020:0528 0 None None None 2020-02-25 06:18:31 UTC

Comment 4 Jianwei Hou 2020-02-17 05:51:57 UTC
Verified in 4.3.0-0.nightly-2020-02-16-235204.

Upgraded from 4.2.9 to 4.3.0-0.nightly-2020-02-16-235204, the alert is not firing, the deployment no longer uses 8080 port for metrics

Comment 6 errata-xmlrpc 2020-02-25 06:18:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0528


Note You need to log in before you can comment on or make changes to this bug.